Re: Preparing for Gtk+ version 4



Hi Jack:

On 01/19/2017 07:44:48 PM Thu, Jack wrote:
Hi Peter,

On 2017.01.19 19:04, Peter Bloomfield wrote:
On 01/19/2017 01:53:34 PM Thu, Albrecht DreƟ wrote:
Am 19.01.17 00:52 schrieb(en) Peter Bloomfield:
We have only recently rationalized Balsa's git structure for Gtk+ version 3, and version 4 is already in 
development. Trying to build Balsa in jhbuild against Gtk+ master shows that the API, still unstable, has 
changed materially. We need a strategy to take advantage of the new version, while continuing to support 
building with the stable version 3.

Unfortunately, there are still distos (e.g. Debian and Ubuntu) shipping with 2.4.*.
Gentoo still ships 1.2.10 (but masked as depracated), various 2.24.x versions, and 3.1x and 3.2x.  I don't 
know the plans for 4, and a quick search of the web site doesn't show me anything.

Did anyone point their package maintainers to Balsa 2.5?  I mentioned this earlier [1] on this list, but 
never got a reply...
Gentoo currently ships 2.5.2.  I have submitted a version bump request 
(https://bugs.gentoo.org/show_bug.cgi?id=602404) for 2.5.3, but there is a question about a reference for the 
gpgme changes not needing gpgmepp if gpgme is 1.8.

I don't understand why the gpgme version issue should be a roadblock to shipping Balsa 2.5.3--it shouldn't 
impact any other products. Perhaps there's a conflict with some Balsa-specific Gentoo patches?

Anyway, thanks for your efforts with them!

Peter


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]